org.apache.ignite.ml.dataset.feature

## Class BucketMeta

- java.lang.Object
- - org.apache.ignite.ml.dataset.feature.BucketMeta

- All Implemented Interfaces:
    Serializable

      public class BucketMeta
      extends Object
      implements Serializable

  Bucket meta-information for feature histogram.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BucketMeta(FeatureMeta featureMeta)` Creates an instance of BucketMeta.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `bucketIdToValue(int bucketId)` Returns mean value by bucket id.
    `int` | `getBucketId(Double val)` Returns bucket id for feature value.
    `FeatureMeta` | `getFeatureMeta()`
    `void` | `setBucketSize(double bucketSize)`
    `void` | `setMinVal(double minVal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BucketMeta

          public BucketMeta(FeatureMeta featureMeta)

      Creates an instance of BucketMeta.
      Parameters:
        `featureMeta` - Feature meta.

  - ### Method Detail

    - #### getBucketId

          public int getBucketId(Double val)

      Returns bucket id for feature value.
      Parameters:
        `val` - Value.
      Returns:
        Bucket id.

    - #### bucketIdToValue

          public double bucketIdToValue(int bucketId)

      Returns mean value by bucket id.
      Parameters:
        `bucketId` - Bucket id.
      Returns:
        Mean value of feature.

    - #### setMinVal

          public void setMinVal(double minVal)

      Parameters:
        `minVal` - Min value.

    - #### setBucketSize

          public void setBucketSize(double bucketSize)

      Parameters:
        `bucketSize` - Bucket size.

    - #### getFeatureMeta

          public FeatureMeta getFeatureMeta()

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023